#!/usr/bin/env python
"""
_HeartBeats with Alarms_

Monitoring component_heartbeat
T0Mon: this class is used in the frontpage
"""

from WMCore.Database.DBFormatter import DBFormatter

class HeartBeatsWithAlarms(DBFormatter):
    
    sql = """SELECT name, last_updated,  alarm_time FROM component_heartbeat"""
             
    def execute(self, conn = None, transaction = False):
        bindVars = {}
        result = self.dbi.processData(self.sql, bindVars, conn = conn,
                                      transaction = transaction)
        
        return self.formatDict(result)