#!/usr/bin/env python
"""
_ superclass for statistic information on the number of files_

"""

from WMCore.Database.DBFormatter import DBFormatter
class NumByRun(DBFormatter):

  
   def execute(self, run, conn = None, transaction = False):

        bindVars={}
        try:
          if int(run)>0:
           bindVars = {"runid": run}
           try:
            self.buildQuery()
           except AttributeError, ae:
             pass
          else: 
            raise Exception('zeroRun')
        except Exception:
             return {"Error" : "wrong run id"} 
        #print self.sql
        result = self.dbi.processData(self.sql, bindVars, conn = conn,
                                      transaction = transaction)
	res=self.formatDict(result)
	if res==[]:res=[{'count': 0, 'runid': run}]			      
        return res