#!/usr/bin/env python
"""
_number of total files of the repack merge process _

T0Mon: % in the front page
"""
from T0.DAS.Database.Oracle.Stats.GeneralNumStat import GeneralNumStat

class NumRepackMergedExported(GeneralNumStat):
    datatier="'RAW'"
    sql="""SELECT
  COUNT(DISTINCT f.id) as count, temp.run_id as run_id
FROM
  wmbs_file_details f
 INNER JOIN wmbs_fileset_files fsf ON (f.id = fsf.fileid AND fsf.fileset =
  (SELECT id FROM wmbs_fileset WHERE name = 'Deletable'
  )) 
INNER JOIN
  (SELECT m2.run as run_id, f2.id
  FROM
    wmbs_file_details f2
  INNER JOIN wmbs_file_runlumi_map m2       ON (f2.id             = m2.fileid)
  INNER JOIN wmbs_fileset_files fsf2        ON (f2.id             = fsf2.fileid)
  INNER JOIN wmbs_file_dataset_path_assoc a ON (a.file_id         = f2.id)
  INNER JOIN dataset_path dp                ON (a.dataset_path_id = dp.id)
  WHERE fsf2.fileset =
    (SELECT id FROM wmbs_fileset WHERE name = 'DBSUploadable'
    )
  AND dp.data_tier =
    (SELECT id FROM data_tier WHERE name = %s
    )
  AND m2.run>= :lowRunId
  AND m2.run<= :highRunId
  ) temp   on  temp.id = f.id
  GROUP BY temp.run_id 
  ORDER  BY temp.run_id """
   
   
    def buildQuery(self):
      self.sql=self.sql %(self.datatier)
      
      
       