#!/usr/bin/env python
"""
_StatsRepack_

T0Mon: This class is used in frontpage and in every run page for the statistical table
"""

from T0.DAS.Database.Oracle.Stats.StatsJob import StatsJob

class StatsRepack(StatsJob):

    fileset = "Repack"

    # need to override because streamer files are not recorded in wmbs_file_runlumi_map
    sqlRunCheck = """INNER JOIN streamer ON
                       streamer.streamer_id = wmbs_job_assoc.fileid AND
                       streamer.run_id = :RUN
                     """
